#include <myapp/logging/loggerfactory.h>
#include "consolelogger.h"
#include "textlogger.h"
#include "journallogger.h"

namespace myapp::logging {

std::shared_ptr<logger> logger_factory::create_console_logger()
{
    return std::make_shared<console_logger>();
}

std::shared_ptr<logger> logger_factory::create_text_logger(std::string const& filename)
{
    return std::make_shared<text_logger>(filename);
}

std::shared_ptr<logger> logger_factory::create_journal_logger()
{
    return std::make_shared<journal_logger>();
}

} /* namespace myapp::logging */
